Summary:	GeoIP database files for xt_geoip
Summary(pl.UTF-8):	Pliki baz danych GeoIP dla xt_geoip
Name:		xtables-geoip
Version:	20190402
Release:	1
License:	GPL, Open Data License
Group:		Networking/Admin
Source0:	https://geolite.maxmind.com/download/geoip/database/GeoLite2-Country-CSV.zip
# Source0-md5:	d1b05e69850da8c39d8287551f29755f
Source1:	https://geolite.maxmind.com/download/geoip/database/LICENSE.txt
# Source1-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
Source2:	https://sourceforge.net/p/xtables-addons/xtables-addons/ci/master/tree/geoip/xt_geoip_build?format=raw&/xt_geoip_build
# Source2-md5:	462ca00be38471d19dc6e0f32c098275
URL:		https://www.maxmind.com/
BuildRequires:	perl-Text-CSV_XS >= 0.69
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dbdir	/usr/share/xt_geoip

# no debuginfo to package
%define		_enable_debug_packages	0

%description
The package contains the GeoIP definition files (which IP addresses
belong to which country) that are needed for Xtables-addons's xt_geoip
module.

%description -l pl.UTF-8
Ten pakiet zawiera pliki definicji GeoIP (określające, które adresy IP
należą do jakiego kraju), wymagane przez moduł xt_geoip z pakietu
xtables-addons.

%prep
%setup -qc

ver=$(echo GeoLite2-Country-CSV_*)
ver=${ver#GeoLite2-Country-CSV_}
if [ "$ver" != %{version} ]; then
	exit 1
fi

cp -p %{SOURCE1} .

%build
%{__mkdir} out
%{__perl} %{SOURCE2} -S GeoLite2-Country-CSV_%{version} -D out > ranges.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dbdir}
cp -a out/* $RPM_BUILD_ROOT%{dbdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ranges.txt
%{dbdir}
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtables-geoip.git;a=log;h=master

* Sun Apr 07 2019 Adam Osuchowski <adwol@pld-linux.org> 520cc53
- up to 20190402

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 4650c93
- release 3 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 7e7c6a0
- release 2 (by relup.sh)

* Thu Nov 01 2018 Elan Ruusamäe <glen@pld-linux.org> f9c5b54
- update md5

* Thu Nov 01 2018 Elan Ruusamäe <glen@pld-linux.org> 7f795e9
- updated to 20181030

* Wed Oct 31 2018 Elan Ruusamäe <glen@pld-linux.org> caed650
- updated to 20181023

* Wed Oct 31 2018 Elan Ruusamäe <glen@pld-linux.org> 9513858
- updated to 20181024

* Tue Oct 30 2018 Elan Ruusamäe <glen@pld-linux.org> 680d59c
- drop ac kernel support

* Tue Oct 30 2018 Adam Osuchowski <adwol@pld-linux.org> 276dcb6
- remove %{byteorder} directory from database path for compatibility with xtables-addons 3.x

* Tue Oct 30 2018 Adam Osuchowski <adwol@pld-linux.org> 26944ea
- migrate database source to GeoLite2 (GeoLite Legacy databases are being discontinued on January 2019)
- sync version with upstream (directory name); down to 20181023

* Thu Oct 25 2018 Elan Ruusamäe <glen@pld-linux.org> 4859daa
- updated to 20181024

* Tue Oct 16 2018 Elan Ruusamäe <glen@pld-linux.org> ee18324
- updated to 20181015

* Wed Oct 10 2018 Elan Ruusamäe <glen@pld-linux.org> 7f285ed
- updated to 20181009

* Wed Oct 03 2018 Elan Ruusamäe <glen@pld-linux.org> 6523ec7
- updated to 20181002

* Thu Sep 27 2018 Elan Ruusamäe <glen@pld-linux.org> 3e9939e
- updated to 20180926

* Tue Sep 18 2018 Elan Ruusamäe <glen@pld-linux.org> ecc9ea5
- updated to 20180917

* Wed Sep 12 2018 Elan Ruusamäe <glen@pld-linux.org> 230bf08
- updated to 20180911

* Fri Sep 07 2018 Elan Ruusamäe <glen@pld-linux.org> f38f86b
- updated to 20180906

* Thu Aug 30 2018 Elan Ruusamäe <glen@pld-linux.org> 246930b
- updated to 20180828

* Fri Aug 17 2018 Elan Ruusamäe <glen@pld-linux.org> 6a40c83
- updated to 20180816

